<?php

$c_name			= 'mos_captcha';
$c_width		= '250';
$c_height		= '70';
$c_imgtype	= 'png';
$c_codetype = 'true';

/**
	* Spam Protection - Code Image Generator - 2006 Dominik Paulus
	* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
	* @author: Dominik Paulus, [email]mail@dpaulus.de[/email]
	* @date: 06/24/06
	* @version: 3.4c
	*
	*/

// Imagecolors
$colors = array(
255, 244, 234, // Background
255, 128, 0,   // Code
255, 128, 0,   // Vertical Lines
255, 128, 0    // Border (Last value without ',')
);

$x = $c_width;
$y = $c_height;
$y2 = $y/2; $x2 = $x/2;

session_name($c_name);
session_start();
$_SESSION['img'] = "OK";  // debug

mt_srand((double)microtime()*1000000);

// Fontsetup
$font = './captchaFonts/FreeFarsi.ttf';

// Numerical code
if($c_codetype)
$seccode = strval(mt_rand(10000, 99999));
else {
	$string = "abcdefghjkmnpqrstuvwxyz0123456789";
	$stringlen = strlen($string);
	$seccode = "";
	for($i = 0; $i < 5; $i++)
	$seccode .= $string{mt_rand(0, $stringlen)};
}
$_SESSION['code'] = $seccode;
$ennum = array(0,1,2,3,4,5,6,7,8,9);
$fanum = array('۰','۱','۲','۳','۴','۵','۶','۷','۸','۹');
$seccode = str_replace($ennum, $fanum, $seccode);
$box = convertBoundingBox(imagettfbbox(20, 0, $font, $seccode));
$im = imagecreate($box['width']+5, $box['height']+5);

// Create some colors
$white = imagecolorallocate($im, 255, 255, 255);
$grey = imagecolorallocate($im, 128, 128, 128);
$black = imagecolorallocate($im, rand(0,200), rand(0,200), rand(0,200));
// Add some shadow to the text
imagettftext($im, 20, 0, 2, 26, $grey, $font, $seccode);

// Add the text
imagettftext($im, 20, 0, 3, 25, $black, $font, $seccode);

switch($c_imgtype) {
	case 'jpeg':
		Header("Content-Type: image/jpeg");
		ImageJPEG($im,"",75);
		break;
	case 'png':
		Header("Content-Type: image/png");
		ImagePNG($im);
		break;
	case 'gif':
		Header("Content-Type: image/gif");
		ImageGIF($im);
		break;
	default:
		die("Wrong \$type in captcha.php (should be jpeg, png or gif)\n");
}


ImageDestroy($im);

function convertBoundingBox($bbox) {
	if ($bbox[0] >= -1)
	$xOffset = -abs($bbox[0] + 1);
	else
	$xOffset = abs($bbox[0] + 2);
	$width = abs($bbox[2] - $bbox[0]);
	if ($bbox[0] < -1) $width = abs($bbox[2]) + abs($bbox[0]) - 1;
	$yOffset = abs($bbox[5] + 1);
	if ($bbox[5] >= -1) $yOffset = -$yOffset; // Fixed characters below the baseline.
	$height = abs($bbox[7]) - abs($bbox[1]);
	if ($bbox[3] > 0) $height = abs($bbox[7] - $bbox[1]) - 1;
	return array(
	'width' => $width,
	'height' => $height,
	'xOffset' => $xOffset, // Using xCoord + xOffset with imagettftext puts the left most pixel of the text at xCoord.
	'yOffset' => $yOffset, // Using yCoord + yOffset with imagettftext puts the top most pixel of the text at yCoord.
	'belowBasepoint' => max(0, $bbox[1])
	);
}
?>
